---
title: "Approve or Unapprove Financial Settlement Schedule"
url: "https://developer.pexa.co.uk/apis/financials-v1-v1/versions/d3f169b2-8b77-47f6-8696-d6efa1bd09f2/operations/approveFinancialSettlementSchedule"
---

> Full API specification: https://developer.pexa.co.uk/apis/financials-v1-v1/versions/d3f169b2-8b77-47f6-8696-d6efa1bd09f2.md

# Approve or Unapprove Financial Settlement Schedule

`POST` `/partner/api/platformconnect/v1/workspaces/{workspace_id}/financial-approvals`

Operation ID: `approveFinancialSettlementSchedule`

This endpoint is used by conveyancing law firms to approve the financial line items so the workspace can be prepared.

## Path parameters

- `workspace_id` (string, uuid, required) - Workspace id

## Header parameters

- `X-Request-Correlation-Id` (string, optional)

## Request body (required)

Content types: `application/json`

## Responses

- `200` - OK
- `400` - BAD REQUEST
- `404` - NOT FOUND
- `500` - INTERNAL SERVER ERROR
- `503` - SERVICE UNAVAILABLE

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Financial
  version: v1
servers:
  - url: https://api.pexa.co.uk
    description: API Gateway URL
paths:
  /partner/api/platformconnect/v1/workspaces/{workspace_id}/financial-approvals:
    post:
      tags:
        - Settlement
      summary: Approve or Unapprove Financial Settlement Schedule
      description: This endpoint is used by conveyancing law firms to approve the
        financial line items so the workspace can be prepared.
      operationId: approveFinancialSettlementSchedule
      security:
        - oauth2:
            - x-api:approve:financial_settlement_schedules
            - x-api:unapprove:financial_settlement_schedules
            - edit:financial_settlement_schedules
            - view:financial_settlement_schedules
            - approve:financial_settlement_schedules
            - unapprove:financial_settlement_schedules
      parameters:
        - in: header
          name: X-Request-Correlation-Id
          schema:
            type: string
            description: The unique identifier for the request
        - name: workspace_id
          in: path
          description: Workspace id
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - action
                - approvedBy
              properties:
                action:
                  type: string
                  pattern: ^(APPROVE|UNAPPROVE)$
                  description: >
                    Action to perform on financial settlement schedule <br>
                    Allowed values: [`APPROVE`, `UNAPPROVE`]
                  example: APPROVE
                approvedBy:
                  description: Email address of the user who performed the approval action
                  type: string
                  minLength: 1
                  pattern: ^$|(?:[A-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[A-z0-9!#$%&'*+/=?^_`{|}~-]+)*|"(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21\x23-\x5b\x5d-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])*")@(?:(?:[A-z0-9](?:[A-z0-9-]*[A-z0-9])?\.)+[A-z0-9](?:[A-z0-9-]*[A-z0-9])?|\[(?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?|[A-z0-9-]*[A-z0-9]:(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21-\x5A\x53-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])+)\])
                  example: approver@lawfirm.com
            examples:
              approveRequest:
                summary: Approve financial settlement schedule request
                value:
                  action: APPROVE
                  approvedBy: approver@lawfirm.com
              unapproveRequest:
                summary: Unapprove financial settlement schedule request
                value:
                  action: UNAPPROVE
                  approvedBy: unapprover@lawfirm.com
        required: true
      responses:
        "200":
          description: OK
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >
                      Current status of the financial settlement schedule <br>
                      values: [`APPROVED`, `PREPARED`]
                    example: APPROVED
                  approvedBy:
                    type: string
                    format: email
                    description: Email address of the user who performed the approval action
                    example: approver@lawfirm.com
                  lineItems:
                    type: array
                    default: []
                    items:
                      type: object
                      properties:
                        lineItemId:
                          type: string
                          format: uuid
                          description: Unique identifier for the line item
                          example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                        amount:
                          type: number
                          description: Amount for the line item
                          example: 100
                        type:
                          type: string
                          description: >
                            Type of line item <br> values: [`SOURCE`,
                            `DESTINATION`]
                          example: SOURCE
                        authorised:
                          type: boolean
                          nullable: true
                          description: Authorization status of the line item
                          example: true
                        reference:
                          type: string
                          description: Reference for the line item
                          example: ref
                        category:
                          type: string
                          description: Category of the line item
                          example: Mortgage Advance
                    description: List of line items in the financial settlement schedule
              examples:
                approvedResponse:
                  summary: Approved financial settlement schedule response
                  value:
                    status: APPROVED
                    approvedBy: approver@lawfirm.com
                    lineItems:
                      - lineItemId: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                        amount: 100
                        type: SOURCE
                        authorised: true
                        reference: ref
                        category: Mortgage Advance
                      - lineItemId: 4fa85f64-5717-4562-b3fc-2c963f66afa7
                        amount: 50
                        type: DESTINATION
                        authorised: true
                        reference: destination ref
                        category: Redemption
                unapprovedResponse:
                  summary: Unapproved financial settlement schedule response
                  value:
                    status: PREPARED
                    approvedBy: unapprover@lawfirm.com
                    lineItems:
                      - lineItemId: 3fa85f64-5717-4562-b3fc-2c963f66afa6
                        amount: 100
                        type: SOURCE
                        authorised: false
                        reference: ref
                        category: Mortgage Advance
                      - lineItemId: 4fa85f64-5717-4562-b3fc-2c963f66afa7
                        amount: 50
                        type: DESTINATION
                        authorised: false
                        reference: destination ref
                        category: Redemption
        "400":
          description: BAD REQUEST
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - field: action
                    message: action must be either APPROVE or UNAPPROVE
        "404":
          description: NOT FOUND
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: "Resource not found for: workspace id"
        "500":
          description: INTERNAL SERVER ERROR
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Internal Server Error
        "503":
          description: SERVICE UNAVAILABLE
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Service under maintenance
security:
  - oauth2:
      - x-api:approve:financial_settlement_schedules
      - x-api:unapprove:financial_settlement_schedules
      - edit:financial_settlement_schedules
      - view:financial_settlement_schedules
      - approve:financial_settlement_schedules
      - unapprove:financial_settlement_schedules
components:
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://login.pexauk.co.uk/oauth/token
          scopes:
            x-api:accept:payee_account_details: Permission to accept payee account details (CoP override)
            x-api:authorise:funds: Permission to authorise funds for a workspace
            x-api:approve:financial_settlement_schedules: Permission to approve financial settlement schedules
            x-api:unapprove:financial_settlement_schedules: Permission to unapprove financial settlement schedules
            add:fss_line_items: Permission to add financial settlement schedule line items
            delete:fss_line_items: Permission to delete financial settlement schedule line items
            view:financial_settlement_schedules: Permission to view financial settlement schedules
            edit:financial_settlement_schedules: Permission to edit financial settlement schedules
            edit:fss_line_items: Permission to edit financial settlement schedule line items
            authorise:funds: Permission to authorise funds for a workspace
            approve:financial_settlement_schedules: Permission to approve financial settlement schedules
            unapprove:financial_settlement_schedules: Permission to unapprove financial settlement schedules
```
